## gitlab-mirrors v0.2.7

* Renamed CHANGELOG to CHANGELOG.md

---
## gitlab-mirrors v0.2.6

* *New Feature* command `ls-mirrors.sh`!
* Converted `CHANGELOG` to markdown.
* Fixed bug in preflight check where `merge_requests_enabled` was not being checked.
* Fixed bug with bad formatted error output for booleans in preflight check.
* Fixed bug with `lib/manage_gitlab_project.py` where group namespace resolution was not properly using API pagination.
  * Required an upstream merge request to the `python-gitlab` library.
* Fixed bug added `merge_requests_enabled` to `config.sh.SAMPLE`.

---
## gitlab-mirrors v0.2.5

* Fixed a critical bug with pagination where API user can't view more projects than `20`.
  * Had to merge request upstream `python-gitlab` library for this functionality.
* Updated documentation to reference my `bugfix-edition` of `python-gitlab` in the
  prerequisites.

---
## gitlab-mirrors v0.2.4

* Fixing critical `git-svn` mirror bug.  SVN mirroring did not update properly prior to this version.

---
## gitlab-mirrors v0.2.3

* Adding a final catch error message to `add_mirror.sh`.
* `RELEASE` file for more consistent releases.

---
## gitlab-mirrors v0.2.2

* Safer environment variable option checking for `config.sh` in `add_mirror.sh` command.
* Added Features to `README`

---
## gitlab-mirrors v0.2.1

* CHANGELOG update

---
## gitlab-mirrors v0.2

* Renamed project from `git-mirrors` to `gitlab-mirrors`.
* SVN repository mirroring now supported!
* Project creation defaults can now be set in `config.sh`.
* New `delete_mirror.sh` command.
* Colorized output enabled for all commands.
* Better argument handling on all commands.
* New options for `add_mirror.sh`, see `./add_mirror.sh -h`.
* Knit and grit changes
  * `add_mirror.sh` has more robust error checking.
  * `add_mirror.sh` options can be out of order.  Now using `getopt` for better argument handling.
  * `lib/create_gitlab_project.py` has been renamed to `lib/manage_gitlab_project.py`.
  * `manage_gitlab_project.py` has a little better error handling.
    * Added `optparse` for better argument handling.

---
## git-mirrors v0.1.1

* Minor update to documentation adding project URL to docs.

---
## git-mirrors v0.1

* Initial project release.  Project gives admins the ability to have mirrors of remote git repositories.
* Comes with simple `add_mirror.sh`, `update_mirror.sh`, and `git-mirrors.sh`.
  * Note very little error checking on all commands.
  * `add_mirror.sh` arguments must be in a specific order.
* `add_mirror.sh` utilizes `lib/create_gitlab_project.py` to check for a gitlab project.  If it doesn't exist then create it.  When the project exists simply return the project remote "git url over ssh".
  * `create_gitlab_project.py` has very little error checking.  Arguments must be in a specific order.
* Project is fully documented with documentation.
